summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Frank Caraballo <fecaraballo{at}gmail{dot}com>2010-05-11 20:00:45 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:45 +0200
commitdbfdfdedebae1f670370f814f7f2a351d7cf1072 (patch)
tree5c4ef914fc54a8e31f6e0265940332e41bab93a5 /libraries
parent7963427b734a8c058cfc89f99359f18bac40d594 (diff)
downloadslackbuilds-dbfdfdedebae1f670370f814f7f2a351d7cf1072.tar.gz
slackbuilds-dbfdfdedebae1f670370f814f7f2a351d7cf1072.tar.xz
libraries/exo-notify: Added to 12.0 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/exo-notify/README7
-rw-r--r--libraries/exo-notify/exo-notify.SlackBuild86
-rw-r--r--libraries/exo-notify/exo-notify.info8
-rw-r--r--libraries/exo-notify/slack-desc19
4 files changed, 120 insertions, 0 deletions
diff --git a/libraries/exo-notify/README b/libraries/exo-notify/README
new file mode 100644
index 0000000000..a7b8c742c7
--- /dev/null
+++ b/libraries/exo-notify/README
@@ -0,0 +1,7 @@
+exo-notify contains the exo-mount-notify binary that is created when
+compiling exo against libnotify. All other exo files are included in
+the official Slackware Xfce package. Note that the version of exo
+used to build exo-notify must match the version of exo included with
+the Slackware's xfce package.
+
+libnotify is required to build exo-notify.
diff --git a/libraries/exo-notify/exo-notify.SlackBuild b/libraries/exo-notify/exo-notify.SlackBuild
new file mode 100644
index 0000000000..b155e30d49
--- /dev/null
+++ b/libraries/exo-notify/exo-notify.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for exo-notify
+
+# Copyright 2008 Frank Caraballo <fecaraballo{at}gmail{dot}com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=exo
+PKGNAME=exo-notify
+VERSION=0.3.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr/libexec $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --program-prefix="" \
+ --program-suffix="" \
+ --enable-shared=yes \
+ --enable-static=no \
+ --enable-notifications \
+ --enable-hal \
+ --enable-debug=no
+
+make
+
+install -m 0755 $TMP/$PRGNAM-$VERSION/exo-mount-notify/exo-mount-notify-0.3 \
+ $PKG/usr/libexec
+strip --strip-unneeded $PKG/usr/libexec/exo-mount-notify-0.3
+
+mkdir -p $PKG/usr/doc/$PKGNAME-$VERSION
+cat $CWD/$PKGNAME.SlackBuild > $PKG/usr/doc/$PKGNAME-$VERSION/$PKGNAME.SlackBuild
+cat $CWD/README > $PKG/usr/doc/$PKGNAME-$VERSION/README.Slackware
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PKGNAME-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/exo-notify/exo-notify.info b/libraries/exo-notify/exo-notify.info
new file mode 100644
index 0000000000..84e9ab55b3
--- /dev/null
+++ b/libraries/exo-notify/exo-notify.info
@@ -0,0 +1,8 @@
+PRGNAM="exo-notify"
+VERSION="0.3.2"
+HOMEPAGE="http://www.xfce.org/"
+DOWNLOAD="http://thunar.xfce.org/download/sources/exo/0.3.2/exo-0.3.2.tar.bz2"
+MD5SUM="8b73acc98d0938d1193b31316823b6db"
+MAINTAINER="Frank Caraballo"
+EMAIL="fecaraballo{at}gmail{dot}com"
+APPROVED="rworkman"
diff --git a/libraries/exo-notify/slack-desc b/libraries/exo-notify/slack-desc
new file mode 100644
index 0000000000..995ff523f6
--- /dev/null
+++ b/libraries/exo-notify/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+exo-notify: exo-notify (exo-mount-notify binary)
+exo-notify:
+exo-notify: exo-notify contains the exo-mount-notify binary that is
+exo-notify: created when compiling exo against libnotify. All other
+exo-notify: exo files are included in the official Slackware Xfce
+exo-notify: package.
+exo-notify:
+exo-notify: libnotify is required to build exo-notify.
+exo-notify:
+exo-notify: Homepage: http://www.xfce.org/
+exo-notify: